Anzeige:
Ergebnis 1 bis 8 von 8

Thema: Wechsel von xfce auf gnome

  1. #1
    hqqh
    Gast

    Wechsel von xfce auf gnome

    Hallo,
    ich habe die ubuntu 6.06 server distribution auf einem Pentium II 300MHz installiert. Da ich zum Surfen nicht meinen Desktoprechner hochfahren möchte, habe ich xfce als grafische Oberfläche installiert. Ich bin mit xfce allerdings nicht richtig zu frieden und möchte gerne gnome installieren.
    Dazu habe ich mit "sudo aptitude install gnome" installiert. Wenn ich jetzt aber das grafische System mit startx starten will, wird immer noch xfce gestartet.
    An welcher Stelle kann ich konfigurieren, welche grafische Oberfläche ich verwenden will (in der xorg.conf wird die grafische Oberfläche anscheinden nicht festgelegt)?

    P.S.: Wenn ich "sudo aptitude remove xfce" aufrufe, werden 0 Pakete entfernt und eine ganze Menge Pakete zurückgehalten. Muß ich xfce erst komplett deinstallieren, um gnome nutzen zu können? Wenn ja, wie mache ich das?

    Vielen Dank und viele Grüße,
    hqqh

  2. #2
    Klugsch***er Avatar von Krischi
    Registriert seit
    Feb 2004
    Ort
    Wo's blitzt und kracht
    Beiträge
    2.006
    Zitat Zitat von hqqh Beitrag anzeigen
    P.S.: Wenn ich "sudo aptitude remove xfce" aufrufe, werden 0 Pakete entfernt und eine ganze Menge Pakete zurückgehalten.
    Das liegt einfach daran, daß es kein Paket mit dem Namen "xfce" gibt.
    Das Paket heißt "xfce4".
    Darüber hinaus gibt es noch eine Menge xfce-Pakete, deren Name mit xfce4 beginnt.

    Vielleicht hlift Dir ein
    Code:
    sudo aptitude remove xfce*
    schon weiter.
    Dann blieben noch xffm4, xfdesktop4 und thunar, aber eventuell erledigt sich das schon selbst über die Abhängigkeiten.

    Tatsächlich musst Du xfce aber nicht entfernen.
    Es gibt tatsächlich die Möglichkeit, einzustellen, was mit startx gestartet werden soll. Wo ist mir entfallen, aber die Suchfunktion sollte es wissen.
    darüber hinaus müsste es auch einen Startbefehl für Gnome geben.


  3. #3
    Registrierter Benutzer
    Registriert seit
    Oct 2003
    Ort
    Leipzig
    Beiträge
    434
    Hallo,

    schau mal in die Datei .Xsession. Dor sollte irgendwo drinstehen exec startxfce oder so. Dort änderst Du startxfce in startgnome.

    Oder Du verwendest statt startx direkt startgnome.

    Grüße, LP

  4. #4
    hqqh
    Gast

    Wechsel von xfce auf gnome

    Hallo Luzi,
    vielen Dank für den Tip. Aber den Befehl startgnome gibt es bei mir nicht (auch nicht auf einem Notebook, auf dem Dapper 6.06 als Desktop-Version installiert wurde und somit gnome als grafische Oberfläche läuft). Oder habe ich beim installieren weitere Pakete vergessen?

    Die Datei Xsession ist hier angehängt. Die Stelle, an der xfce oder gnome aufgerufen wird, habe ich noch nicht entdeckt. Habt ihr noch eine Idee?

    Gruß,
    hqqh

    #!/bin/sh
    #
    # /etc/X11/Xsession
    #
    # global Xsession file -- used by display managers and xinit (startx)

    # $Id: Xsession 1507M 2004-09-13 07:36:26Z (local) $

    set -e

    PROGNAME=Xsession

    message () {
    # pretty-print messages of arbitrary length; use xmessage if it
    # is available and $DISPLAY is set
    MESSAGE="$PROGNAME: $*"
    echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2
    if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
    echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
    fi
    }

    message_nonl () {
    # pretty-print messages of arbitrary length (no trailing newline); use
    # xmessage if it is available and $DISPLAY is set
    MESSAGE="$PROGNAME: $*"
    echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2;
    if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
    echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
    fi
    }

    errormsg () {
    # exit script with error
    message "$*"
    exit 1
    }

    internal_errormsg () {
    # exit script with error; essentially a "THIS SHOULD NEVER HAPPEN" message
    # One big call to message() for the sake of xmessage; if we had two then
    # the user would have dismissed the error we want reported before seeing the
    # request to report it.
    errormsg "$*" \
    "Please report the installed version of the \"xfree86-common\"" \
    "package and the complete text of this error message to" \
    "<debian-x@lists.debian.org>."
    }

    run_parts () {
    # until run-parts --noexec is implemented
    if [ -z "$1" ]; then
    internal_errormsg "run_parts() called without an argument."
    fi
    if [ ! -d "$1" ]; then
    internal_errormsg "run_parts() called, but \"$1\" does not exist or is" \
    "not a directory."
    fi
    for F in $(ls $1); do
    if expr "$F" : '[[:alnum:]_-]\+$' > /dev/null 2>&1; then
    if [ -f "$1/$F" ]; then
    echo "$1/$F"
    fi
    fi
    done
    }

    # initialize variables for use by all session scripts

    OPTIONFILE=/etc/X11/Xsession.options

    SYSRESOURCES=/etc/X11/Xresources
    USRRESOURCES=$HOME/.Xresources

    SYSSESSIONDIR=/etc/X11/Xsession.d
    USERXSESSION=$HOME/.xsession
    ALTUSERXSESSION=$HOME/.Xsession
    ERRFILE=$HOME/.xsession-errors

    # attempt to create an error file; abort if we cannot
    if touch "$ERRFILE" 2> /dev/null && [ -w "$ERRFILE" ] &&
    [ ! -L "$ERRFILE" ]; then
    chmod 600 "$ERRFILE"
    elif ERRFILE=$(tempfile 2> /dev/null); then
    if ! ln -sf "$ERRFILE" "${TMPDIR:=/tmp}/xsession-$USER"; then
    message "warning: unable to symlink \"$TMPDIR/xsession-$USER\" to" \
    "\"$ERRFILE\"; look for session log/errors in" \
    "\"$TMPDIR/xsession-$USER\"."
    fi
    else
    errormsg "unable to create X session log/error file; aborting."
    fi

    exec >>"$ERRFILE" 2>&1

    echo "$PROGNAME: X session started for $LOGNAME at $(date)"

    # sanity check; is our session script directory present?
    if [ ! -d "$SYSSESSIONDIR" ]; then
    errormsg "no \"$SYSSESSIONDIR\" directory found; aborting."
    fi

    # Attempt to create a file of non-zero length in /tmp; a full filesystem can
    # cause mysterious X session failures. We do not use touch, :, or test -w
    # because they won't actually create a file with contents. We also let standard
    # error from tempfile and echo go to the error file to aid the user in
    # determining what went wrong.
    WRITE_TEST=$(tempfile)
    if ! echo "*" >>"$WRITE_TEST"; then
    message "warning: unable to write to ${WRITE_TEST%/*}; X session may exit" \
    "with an error"
    fi
    rm -f "$WRITE_TEST"

    # use run-parts to source every file in the session directory; we source
    # instead of executing so that the variables and functions defined above
    # are available to the scripts, and so that they can pass variables to each
    # other
    SESSIONFILES=$(run_parts $SYSSESSIONDIR)
    if [ -n "$SESSIONFILES" ]; then
    for SESSIONFILE in $SESSIONFILES; do
    . $SESSIONFILE
    done
    fi

    exit 0

    # vim:set ai et sts=2 sw=2 tw=80:

  5. #5
    Registrierter Benutzer
    Registriert seit
    Oct 2003
    Ort
    Leipzig
    Beiträge
    434
    Ich meinte die .Xsession im Heimverzeichniss, sorry.

    Wenn die nicht existiert, kannst Du sie einfach anlegen und die Zeile reinschreiben.
    Wenn startgnome nicht da ist, versuch es mal mit gnome-session oder einfach mal in der Konsole gnome<tab><tab> machen und schauen, was gut aussieht.

  6. #6
    hqqh
    Gast
    Hallo Luzi,
    Du hattest recht, in der Datei .xsession in meinem Homedir (siehe unten) wird xfce aufgerufen.

    /usr/bin/xfce-mcs-manager
    /usr/bin/xfwm4 --daemon
    /usr/bin/xftaskbar4 &
    /usr/bin/xfdesktop &
    exec /usr/bin/xfce4-panel
    Wenn ich jetzt allerdings gnome-session im Terminal starte, erscheint die Fehlermeldung: "(gnome-session:15023) Gtk-WARNING **: cannot open display"
    Wenn ich gnome-wm starte:
    "Unable to open X window on ubuntu:0.0"

    Scheint als müßte ich den Xserver noch konfigurieren, oder? Wenn ich "dpkg-reconfigure x-server-org" starte, werden zwar Infos über Grafikkarte und Monitor abgefragt, aber nicht die grafische Oberfläche.
    Hast Du noch eine Idee?

    Grüße,
    Haiko

  7. #7
    Registrierter Benutzer
    Registriert seit
    Oct 2003
    Ort
    Leipzig
    Beiträge
    434
    Du musst alle xfce-Eitnräge auskommentieren(mit # vornedran versehen) und die Zeile exec gnome-session bzw. wohl exec gnome-wm einfügen.

    Achja, das funktioniert natürlich nur, wenn kein XServer läuft, falls Du es in einem XTerminal versucht hast.

    Grüße, LP

  8. #8
    hqqh
    Gast

    wechsel von xfce auf gnome

    Hallo Luzi,
    nach dem Editieren der .xsession Datei startet gnome jetzt beim Aufruf von startx (in .xsession wird exec gnome-session ausgeführt).
    Vielen Dank,
    hqqh

Ähnliche Themen

  1. Erfahrungsbericht:Ubuntu als Windows 98-Alternative
    Von stefan-tiger im Forum Linux Allgemein
    Antworten: 50
    Letzter Beitrag: 14.01.07, 17:03
  2. Desknote A 907 und SuSE Linux 8.2
    Von schuelsche im Forum System installieren und konfigurieren
    Antworten: 20
    Letzter Beitrag: 06.06.06, 20:47
  3. Antworten: 3
    Letzter Beitrag: 26.06.05, 15:40
  4. Gnome 2.6 auf Mandrake 10 Final installieren
    Von chubby im Forum Windowmanager
    Antworten: 11
    Letzter Beitrag: 28.05.04, 08:00
  5. transcode & co
    Von dermartn im Forum Kompilieren von Kernel und Sourcen
    Antworten: 18
    Letzter Beitrag: 03.04.03, 21:49

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •